Nuestro sitio utiliza cookies para garantizar una mejor experiencia de navegación. OK
2 min para leer 39 veces compartido 8 Comentarios

Problemas de vulnerabilidad en Galaxy S3, S2 y en el Note 2

En la comunidad Android es bien sabido que los dispositivos Samsung son fáciles de rootear. Esta característica es muy apreciada por los usuarios y unida a otras muchas más hacen que el Samsung Galaxy S3, S2 y el Note 2 sean un éxito de ventas. Pero no todas son alegrías en el paraíso root. Este fin de semana un usuario de XDA-Developers ha encontrado problemas de vulnerabilidad en relación con el Kernel. Samsung todavía no ha respondido.

El miembro de XDA-Developers se llama Alephazin. Exactamente, este usuario descubrió qu en ciertas áreas del Kernel se podía acceder a los permisos de lectura y escritura sin ningún tipo de restricción. Acceso que también pueden hacer aplicaciones de malware. Esta vulnerabilidad, como se puede leer en su post, es probable que se encuentre en aquellos dispositivos que tengan un procesador Exynos 4210 o Exynos 4412.

Hasta el momento Samsung no se ha pronunciado al respecto. Pero, por suerte, gracias a la gran comunidad Android, ya existe una herramienta de primeros auxilios. Otro usuario de XDA-Developers ha publicado una sencilla aplicación que puede sellar esta brecha de forma temporal. La aplicación determina si el dispositivo está afectado por este problema y, si es así, lo bloquea. Un punto a favor es que no es necesario tener privilegios root para instalarla, por tanto, no modifica el sistema y se puede conectar y desconectar fácilmente. Eso sí, cuando está activada pueden aparecer algunos bugs o errores en la cámara y en la salida HDMI.

[Actualización] El link a la aplicación no funciona, pero me han informado de otra aplicación que también detecta si existe problema o no de vulnerabilidad. Se trata de Exynos Mem Bug y se puede descargar desde Google Play Store.

La aplicación Voodoo nos ayuda a detectar si nuestro dispositivo está en peligro.

Pero también podemos encontrar algunos problemas en la cámara, como se puede apreciar.

(Foto: Samsung)

8 Comentarios

Escribir un nuevo comentario:
  •   3

    Creo que afecta a todos. No solo a los de junio , lulio y agosto. Tu le has pasado el programa que te dice si el tuyo esta afectado o no? Te dice que no? .
    Vaya jeta tienen los de samsung y no son los unicos... y tardan mucho en sacar una actualizacion

  • Hola Isabel! Lo que me he enterado es que solo afecta a los S3 que salieron en Junio, Julio y Agosto; además afecta si descargas aplicaciones que no son de la Play Store y/o que son extrañas dentro de la misma Play. De todos modos soy poseedor de un SGS3 y actualizado a JB 4.1.2, cabe aclarar que éste dispositivo de lo adquirí en este mismo mes y la verdad me quedo con las apps que tengo y las APK de algunas apps que tengo, pues las mantendré guardadas en la microSD hasta que Samsung lance un update para solucionar el problema. Saludos! :)

  • Facil solución, eliges otro sistema operativo y a rular, yo disfruto con android.

  • Toma ya!
    Los kernels de Samsung defectuosos y cualquier app podría acceder al móvil, y encima Android de por sí ya tiene cientos de vulnerabilidades tanto en las apps de Google Play como en su código.

    Lo malo de todo esto es que los usuarios no se enteran de que Android vulnera su privacidad y de que es el más inseguro de los cuatro sistemas para móviles (iOS, Windows Phone, BlackBerry OS) con mucha diferencia

  • Isabel V.
    • Staff
    17-dic-2012 Link al comentario

    Gracias Jose María!

  • Bueno, de momento que podemos hacer?
    yo instalé Exynos Mem Bug y si dice que:
    Este dispositivo ESTÁ afectado por el bug "exynos-men".
    Tal cual lo acabo de escribir, pero no pasas de ahí,
    el otro que haces mención más arriba, si copias la ruta del enlace y la recortas te que da algo así
    http://project-voodoo.org/
    que si que deja entrar, pero están de mantenimiento pinches donde pinches (que casualidad), en fin que sabemos que tenemos el " teléfono inteligente" smartphone con una brecha y de momento hay que esperar que las mentes brillantes den con la solución, gracias por existir mentes brillantes si no fuera por ellos no tendriamos muchas de las cosas que disfrutamos todos los días.

  • Isabel V.
    • Staff
    17-dic-2012 Link al comentario

    Hola Azucena... En realidad no tiene nada que ver, la vulnerabilidad afecta tanto a smartphones rooteados como a los que no. No lo he expresado bien en el artículo. Pero afecta a todos los dispositivos con Exynos 4210 o Exynos 4412.

  • Agg al final me alegro de no tener rooteado mi Galaxy S2

39 veces compartido

Nuestro sitio utiliza cookies para garantizar una mejor experiencia de navegación. Más información

OK